From e3f9729de90e37d173de7fce076dc0f0d4362a20 Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Tue, 7 Jul 2015 16:01:35 +0900
Subject: [PATCH 1/4] Fix missing return value checks for JsonbIteratorNext

Spotted by Coverity.
---
 src/backend/utils/adt/jsonfuncs.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/src/backend/utils/adt/jsonfuncs.c b/src/backend/utils/adt/jsonfuncs.c
index 13d5b7a..b4258d8 100644
--- a/src/backend/utils/adt/jsonfuncs.c
+++ b/src/backend/utils/adt/jsonfuncs.c
@@ -3362,8 +3362,7 @@ jsonb_delete(PG_FUNCTION_ARGS)
 		{
 			/* skip corresponding value as well */
 			if (r == WJB_KEY)
-				JsonbIteratorNext(&it, &v, true);
-
+				(void) JsonbIteratorNext(&it, &v, true);
 			continue;
 		}
 
@@ -3436,7 +3435,7 @@ jsonb_delete_idx(PG_FUNCTION_ARGS)
 			if (i++ == idx)
 			{
 				if (r == WJB_KEY)
-					JsonbIteratorNext(&it, &v, true);	/* skip value */
+					(void) JsonbIteratorNext(&it, &v, true);	/* skip value */
 				continue;
 			}
 		}
-- 
2.4.5

